/*
 * WScout - Lightweight PCAP visualizer.
 * Copyright (C) 2007, 2008  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */

#ifndef WSCOUT_GUI_PRISM_HEADER_HH_
# define WSCOUT_GUI_PRISM_HEADER_HH_

# include "wscout_gui_phy_header.hh"

namespace wscout
{

  namespace gui
  {

    /**
     * Prism header widget.
     *
     * @see AbstractHeader, HeaderBase
     */
    struct PrismHeader: public PHYHeader<PrismHeader, protocol::PRISM_HEADER>
    {
      /// Default constructor.
      PrismHeader(QWidget* parent = 0);

      /// Abstract method definition from AbstractHeader.
      virtual next_header	setup(const void*			header,
				      size_t				caplen,
				      const Trace&			trace,
				      const pcapxx::frame_descriptor&	desc);
    };

  } // End of namespace gui.

} // End of namespace wscout.

# include "wscout_gui_prism_header.hxx"

#endif // ! WSCOUT_GUI_PRISM_HEADER_HH_
